/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.dw.db.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import javax.validation.constraints.Size;

import net.northking.cctp.common.db.POJO;

import java.util.Date;


/**
 * 需求分析进度图表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！  <br>
 * createdate:  2022-01-21 10:29:37  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@ApiModel(description = "需求分析进度图表")
public class MtTestChart implements POJO
{
  public static final String KEY_id = "id";
  public static final String KEY_tenantId = "tenantId";
  public static final String KEY_recordDate = "recordDate";
  public static final String KEY_totalPlan = "totalPlan";
  public static final String KEY_totalActual = "totalActual";
  public static final String KEY_percentPlan = "percentPlan";
  public static final String KEY_percentActual = "percentActual";
  public static final String KEY_testType = "testType";
  public static final String KEY_projectId = "projectId";

  /**
   * 主键id<br>
   */
  @ApiModelProperty("主键id")
  private Long id;
  /**
   * 租户id<br>
   */
  @ApiModelProperty("租户id")
  @Size(max = 32, message="租户id-tenantId: 数据长度不能 > 32" )
  private String tenantId;
  /**
   * 日期<br>
   */
  @ApiModelProperty("日期")
  private Date recordDate;
  /**
   * 累计计划数量<br>
   */
  @ApiModelProperty("累计计划数量")
  private Integer totalPlan;
  /**
   * 实际数量<br>
   */
  @ApiModelProperty("实际数量")
  private Integer totalActual;
  /**
   * 计划进度<br>
   */
  @ApiModelProperty("计划进度")
  private Double percentPlan;
  /**
   * 实际进度<br>
   */
  @ApiModelProperty("实际进度")
  private Double percentActual;
  /**
   * 系统进度：1、用例设计进度；2、需求分析进度；3、用例执行进度；4、总体测试进度<br>
   */
  @ApiModelProperty("系统进度：1、用例设计进度；2、需求分析进度；3、用例执行进度；4、总体测试进度")
  private Integer testType;
  /**
   * <br>
   */
  @ApiModelProperty("")
  @Size(max = 32, message="-projectId: 数据长度不能 > 32" )
  private String projectId;

  /**
   * 主键id<br>
   */
  public Long getId()
  {
      return id;
    }

  /**
   * 主键id<br>
   *
   * @param id 主键id
   */
  public void setId(Long id)
  {
      this.id = id;
    }
  /**
   * 租户id<br>
   */
  public String getTenantId()
  {
      return tenantId;
    }

  /**
   * 租户id<br>
   *
   * @param tenantId 租户id
   */
  public void setTenantId(String tenantId)
  {
      this.tenantId = tenantId;
    }
  /**
   * 日期<br>
   */
  public Date getRecordDate()
  {
      if(recordDate != null)
    {
      return (Date)recordDate.clone();
    }
    return null;
    }

  /**
   * 日期<br>
   *
   * @param recordDate 日期
   */
  public void setRecordDate(Date recordDate)
  {
      if(recordDate != null)
    {
      this.recordDate = (Date)recordDate.clone();
    }
    }
  /**
   * 累计计划数量<br>
   */
  public Integer getTotalPlan()
  {
      return totalPlan;
    }

  /**
   * 累计计划数量<br>
   *
   * @param totalPlan 累计计划数量
   */
  public void setTotalPlan(Integer totalPlan)
  {
      this.totalPlan = totalPlan;
    }
  /**
   * 实际数量<br>
   */
  public Integer getTotalActual()
  {
      return totalActual;
    }

  /**
   * 实际数量<br>
   *
   * @param totalActual 实际数量
   */
  public void setTotalActual(Integer totalActual)
  {
      this.totalActual = totalActual;
    }
  /**
   * 计划进度<br>
   */
  public Double getPercentPlan()
  {
      return percentPlan;
    }

  /**
   * 计划进度<br>
   *
   * @param percentPlan 计划进度
   */
  public void setPercentPlan(Double percentPlan)
  {
      this.percentPlan = percentPlan;
    }
  /**
   * 实际进度<br>
   */
  public Double getPercentActual()
  {
      return percentActual;
    }

  /**
   * 实际进度<br>
   *
   * @param percentActual 实际进度
   */
  public void setPercentActual(Double percentActual)
  {
      this.percentActual = percentActual;
    }
  /**
   * 系统进度：1、用例设计进度；2、需求分析进度；3、用例执行进度；4、总体测试进度<br>
   */
  public Integer getTestType()
  {
      return testType;
    }

  /**
   * 系统进度：1、用例设计进度；2、需求分析进度；3、用例执行进度；4、总体测试进度<br>
   *
   * @param testType 系统进度：1、用例设计进度；2、需求分析进度；3、用例执行进度；4、总体测试进度
   */
  public void setTestType(Integer testType)
  {
      this.testType = testType;
    }
  /**
   * <br>
   */
  public String getProjectId()
  {
      return projectId;
    }

  /**
   * <br>
   *
   * @param projectId 
   */
  public void setProjectId(String projectId)
  {
      this.projectId = projectId;
    }

  public MtTestChart()
  {
  }

}
